API referenceMasterData
POST /api/MasterData/GetDealClassTypes
An array of ids and names of the API Master Data is returned for the specific enum type.
POST
/api/MasterData/GetDealClassTypescurl -X POST "/api/MasterData/GetDealClassTypes" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY"Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Response
application/json
A list of Folders from the Portfolio Structure.
successbooleanrecordCountinteger<int32>dataHelpers.Models.RequestEntity[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string"
}
]
}